import R from "./request";
import P from "./process";
import {
  IAdminLogin,
  ICreateCourseRequest,
  IgetVodRequest,
  IXcode,
} from "./dto";

/**
 * 腾讯vod媒资
 */
export const getVod = (p: IgetVodRequest) =>
  R.post("/api/vod/media/select", { ...p }).then((d: any) => P.getVod(d.data));

export const createCourse = (p: ICreateCourseRequest) =>
  R.post("/api/course/create", { ...p });

export const adminLogin = (p: IAdminLogin) =>
  R.post("/api/user/admin/auth", { ...p });

export const createXCode = (codeList: IXcode[]) =>
  R.post("/api/xcode/admin/create", codeList);

export const selectXCodeList = () => R.post("/api/xcode/admin/select/all");
