import { IGetVodeResponse } from "./dto";

/**
 * 清洗数据
 */
export default {
  /**
   * 腾讯vod媒资
   */
  getVod: (p: IGetVodeResponse) => {
    const { TotalCount: total, MediaInfoSet } = p;
    const mediaList = MediaInfoSet.map((item) => {
      return {
        FileId: item.FileId,
        AdaptStream:
          item.AdaptiveDynamicStreamingInfo.AdaptiveDynamicStreamingSet[0],
        BasicInfo: item.BasicInfo,
        MetaData: item.MetaData,
      };
    });
    return { total, mediaList };
  },
};
