import { Rule, RuleType } from '@midwayjs/validate';

export class CourseCreateDTO {
  @Rule(RuleType.string().required())
  course_title: string;

  @Rule(RuleType.string().required())
  course_cover_url: string;

  @Rule(RuleType.string().required())
  course_summary: string;

  @Rule(RuleType.required())
  course_chapterList: [];

  @Rule(RuleType.required())
  course_guide: { guide_value: string; guide_html: string };
}
