// src/dto/user.ts
import { Rule, RuleType } from '@midwayjs/validate';

export class VodSearchDTO {
  @Rule(RuleType.number().required())
  offset: number;

  @Rule(RuleType.number().required())
  limit: number;

  @Rule(RuleType.string())
  fileId?: string;
}
