import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('course')
export class Course {
  @PrimaryGeneratedColumn('uuid')
  course_id?: string;

  @Column({ unique: true })
  course_title?: string;

  @Column({ type: 'text' })
  course_summary?: string;

  @Column({ length: 1000 })
  course_cover_url?: string;

  @Column({ default: 1 })
  valid?: boolean;

  @Column({ default: Date.now() })
  course_createtime?: string;
}
