import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('guide')
export class Guide {
  @PrimaryGeneratedColumn('uuid')
  guide_id?: string;

  @Column({ type: 'text' })
  guide_value: string;

  @Column({ type: 'text' })
  guide_html: string;

  @Column()
  guide_course_id: string;
}
